Name:		python-liblvm
Version:	0.1.0
Release:	2%{?dist}
Summary:	Python interface to LVM2 API
Group:		Development/Languages
License:	LGPLv2+
URL:		http://fedorahosted.org/liblvm/
Source0:	http://lsjostro.fedorapeople.org/python-liblvm/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-setuptools python-devel lvm2-devel

%description
Python interface to LVM2 API.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build_ext -i
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{python_sitearch}/liblvm*
%{python_sitearch}/*liblvm*.egg-info

%changelog
* Mon Jan 31 2011 Lars Sjostrom <lars.sjostrom@redhat.com> - 0.1.0-2
- Changed description 
- Updated Source0 with proper URL.

* Wed Dec 1 2010 Lars Sjostrom <lars.sjostrom@redhat.com> - 0.1.0-1
- initial version
